Bug 445089 - Can't set resolution in KDE
Can't set resolution in KDE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-05-03 10:09 EDT by Klaus Möllenhoff
Modified: 2008-09-25 23:52 EDT (History)
4 users (show)

See Also:
Fixed In Version: 4.1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-25 19:41:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kde before starting systemsettings (57.58 KB, image/jpeg)
2008-05-03 10:10 EDT, Klaus Möllenhoff
no flags Details
when i want to click on apply (57.92 KB, image/jpeg)
2008-05-03 10:11 EDT, Klaus Möllenhoff
no flags Details

  None (edit)
Description Klaus Möllenhoff 2008-05-03 10:09:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
I'm using rawhide on my Dell Inspiron Notebook with an i915 chipset.
The integrated monitor has a standart resolution of 1280x800. I attached an external monitor with a standart resolution of 1280x1024. I typed into my xorg.conf 1280x1024 which works great for me in gdm and gnome. When i run KDE the taskbar is in the height of die 1280x800 resolution. 

When I start systemsettings and go to Display the resolution changes to 1024x768. When I want to set the resolutions to 1280x800 for the internal and 1280x1024 for the external monitor i'm not able to click apply.

I don't really know if this is a problem of kde-settings, but i dont really know where to put it.

I will add 2 screenshots (before starting systemsettings->display and one when i want to klick on apply)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install rawhide on a Dell Inspiron 1300 and an external monitor attached
2. start kde
3. start systemsettings

Actual Results:
cant set the resolution

Expected Results:
internal monitor should have a resolution of 1280x800 and the external monitor should have a resolution of 1280x1024. if this isnt possible the "whole" resolution should go back to 1280x1024 and the taskbar should be in the right height.

Additional info:
Comment 1 Klaus Möllenhoff 2008-05-03 10:10:49 EDT
Created attachment 304457 [details]
kde before starting systemsettings
Comment 2 Klaus Möllenhoff 2008-05-03 10:11:28 EDT
Created attachment 304458 [details]
when i want to click on apply
Comment 3 Kevin Kofler 2008-05-03 10:15:54 EDT

*** This bug has been marked as a duplicate of 440239 ***
Comment 4 Klaus Möllenhoff 2008-05-03 13:40:36 EDT
i read the other bug. i think this is the one with the taskbar problem. 
i think i described two bugs in one report... 
the bug that i cant change the resolution because i cant click on "apply" isnt
this one...
Comment 5 Bug Zapper 2008-05-14 06:35:46 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Steven M. Parrish 2008-06-21 13:49:55 EDT
Now that F9 is official and KDE 4.0.5 has been pushed out is this still an issue?
Comment 7 Kevin Kofler 2008-06-26 18:27:09 EDT
Looks like it still happens, as per: 
Comment 8 Rex Dieter 2008-06-26 19:41:15 EDT
krandr is pretty flaky for me too (in kde-4.0).  I'll have to double-check, but
I'm hopeful this (as well as related xinerama issues) will be sorted out in kde-4.1.
Comment 9 Rex Dieter 2008-06-26 21:00:55 EDT
bleh, krandrtray still flaky for me using kde-4.0.83 (kwin crashes on resolution
Comment 10 Steven M. Parrish 2008-08-29 16:41:04 EDT
Anyone had a chance to see if this is still an issue with KDE 4.1?

Updates appreciated
Comment 11 Steven M. Parrish 2008-09-25 19:41:31 EDT
Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Comment 12 Kevin Kofler 2008-09-25 23:52:15 EDT
Definitely fixed in 4.1.1, maybe 4.1.0 already.

Note You need to log in before you can comment on or make changes to this bug.